Get DNS record
GET /dns/rr/{rrid}Operation ID: GetRecordByRRID
Retrieve details about a specific Resource Record (rrid).
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
rrid | rrid | yes | - |
Responses
Section titled “Responses”| Status | Type | Description |
|---|---|---|
200 | recordResponse | The record corresponding to the provided rrid |
400 | Error | Invalid request |
401 | Error | Unauthorized |
404 | Error | DNS record not found |
500 | Error | Unexpected error |
Response body
Section titled “Response body”| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | yes | Success indicator |
code | integer | no | Response/Error Code |
response | recordResponse | no | - |
Example
Section titled “Example”curl -X GET "https://api.regfish.com/dns/rr/<rrid>" \ -H "x-api-key: $REGFISH_API_KEY"Build a request
Section titled “Build a request”Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.